# wxFileSystemWatcherEvent Class Reference
[Events]

`#include <wx/fswatcher.h>`

Inheritance diagram for wxFileSystemWatcherEvent:
[legend]

## Detailed Description

A class of events sent when a file system event occurs.

Types of events reported may vary depending on a platform, however all platforms report at least creation of new file/directory and access, modification, move (rename) or deletion of an existing one.

##

Library: wxCore

Category: Events

See also:
  wxFileSystemWatcher

  Events and Event Handling

Since:
  2.9.1

## Public Member Functions
const wxFileName & | GetPath () const
| Returns the path at which the event occurred.
const wxFileName & | GetNewPath () const
| Returns the new path of the renamed file/directory if this is a rename event.
int | GetChangeType () const
| Returns the type of file system change that occurred.
bool | IsError () const
| Returns `true` if this error is an error event.
wxString | GetErrorDescription () const
| Return a description of the warning or error if this is an error event.
wxString | ToString () const
| Returns a wxString describing an event, useful for logging, debugging or testing.

List of all members.

## Member Function Documentation

int wxFileSystemWatcherEvent::GetChangeType | ( |  | ) | const

Returns the type of file system change that occurred.

See wxFSWFlags for the list of possible file system change types.

wxString wxFileSystemWatcherEvent::GetErrorDescription | ( |  | ) | const

Return a description of the warning or error if this is an error event.

const wxFileName& wxFileSystemWatcherEvent::GetNewPath | ( |  | ) | const

Returns the new path of the renamed file/directory if this is a rename event.

Otherwise it returns the same path as GetPath().

const wxFileName& wxFileSystemWatcherEvent::GetPath | ( |  | ) | const

Returns the path at which the event occurred.

bool wxFileSystemWatcherEvent::IsError | ( |  | ) | const

Returns `true` if this error is an error event.

Error event is an event generated when a warning or error condition arises.

wxString wxFileSystemWatcherEvent::ToString | ( |  | ) | const

Returns a wxString describing an event, useful for logging, debugging or testing.

|  | [ top ]